<*
    File        : index.hsc
    Date        : 17-May-01
    Author      : © A.Thoukydides, 2001, 2019
    Description : Part of the ARMEdit documentation.
    
    License     : ARMEdit is free software: you can redistribute it and/or
                  modify it under the terms of the GNU General Public License
                  as published by the Free Software Foundation, either
                  version 3 of the License, or (at your option) any later
                  version.

                  ARMEdit is distributed in the hope that it will be useful,
                  but WITHOUT ANY WARRANTY; without even the implied warranty
                  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
                  the GNU General Public License for more details.

                  You should have received a copy of the GNU General Public
                  License along with ARMEdit. If not, see
                  <http://www.gnu.org/licenses/>.
*>

<$include FILE=(FILEREL)>
<PAGE SUBTITLE=("Version " + RELVER + " (" + RELDATE + ")") KEYWORDS="Documentation,Contents,Index,PC Card,Legal Matters,FreeWare,Copyright,Version,Distribution">

<HEADING>Introduction</HEADING>
<PARA>
<ARMEDIT> is a suite of FreeWare utilities for use with Acorn and Aleph One PC cards. It consists of a RISC OS module, a desktop front-end application, several DOS executables, a DOS device driver, and support for third party programmers.
</PARA>

<HEADING>Documentation Contents</HEADING>
<PARA>
<UL>
    <LI><A HREF=":vers.html" TITLE="Version History">Version History</A>
    <LI><A HREF=":tools/index.html" TITLE="Tools">Tools</A>
    <LI><A HREF=":command/index.html" TITLE="*Commands">*Commands</A>
    <LI><A HREF=":swi/index.html" TITLE="SWI Calls">SWI Calls</A>
    <LI><A HREF=":hpc/index.html" TITLE="HPC Services">HPC Services</A>
</UL>
<*
<TABLE WIDTH="100%">
    <TR>
        <TH ALIGN=LEFT>User Guide</TH>
        <TH ALIGN=LEFT>Technical Details</TH>
        <TH ALIGN=LEFT>Miscellaneous</TH>
    </TR>
    <TR VALIGN=TOP>
        <TD>
            <UL>
                <LI><A HREF=":start/index.html" TITLE="Getting Started">Getting Started</A>
                <LI><A HREF=":icon/index.html" TITLE="Iconbar Icons">Iconbar Icons</A>
                <LI><A HREF=":menu/index.html" TITLE="Menu Entries">Menu Entries</A>
                <LI><A HREF=":faq/index.html" TITLE="Frequently Asked Questions">FAQ</A>
                <LI><A HREF=":vers.html" TITLE="Version History">Version History</A>
            </UL>
        </TD>
        <TD>
            <UL>
                <LI><A HREF=":fs/index.html" TITLE="File System">File System</A>
                <LI><A HREF=":conv/index.html" TITLE="File Format Converters">File Format Converters</A>
                <LI><A HREF=":command/index.html" TITLE="*Commands">*Commands</A> 
                <LI><A HREF=":swi/index.html" TITLE="SWI Calls">SWI Calls</A>
                <LI><A HREF=":wimp/index.html" TITLE="WIMP Messages">WIMP Messages</A>
                <LI><A HREF=":compile/index.html" TITLE="Compiling">Compiling</A>
            </UL>
        </TD>
        <TD>
            <UL>
                <LI><A HREF=":legal/index.html" TITLE="Legal Matters">Legal Matters</A>
                <LI><A HREF=":contact/index.html" TITLE="Contact Details">Contact Details</A>
                <LI><A HREF=":cred.html" TITLE="Credits">Credits</A>
                <LI><A HREF=":probs.html" TITLE="Known Problems">Known Problems</A>
                <LI><A HREF=":compt.html" TITLE="Compatibility">Compatibility</A>
            </UL>
        </TD>
    </TR>
</TABLE>
<P>
  *>
Alternatively, view the documentation <A HREF=":cntnt.html" TITLE="Documentation Contents">Contents</A> or <A HREF=":xref.html" TITLE="Documentation Index">Index</A>.
</PARA>
  
</PAGE>
